package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-09
 */
public enum MessageIconTypeEnum implements BaseEnum<String, MessageIconTypeEnum> {
    TEACHER_AUTH("达人认证"),
    MUSICIAN_AUTH("音乐人认证"),
    PRACTICE("陪练课"),
    LIVE("直播课"),
    VIDEO("视频课"),
    MUSIC_SHEET("乐谱"),
    COURSE("课程"),
    INCOME("收入"),
    HOMEWORK("作业"),
    EVALUATE("评价"),
    GROUP_CHAT("群聊"),
    VIP("会员"),
    ;

    MessageIconTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @EnumValue
    private String code;

    private String msg;

    public String getMsg() {
        return this.msg;
    }

    public String getCode() {
        return this.code;
    }
}
